DistributionLocatorConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: DistributionLocatorConfig

Package org.apache.geode.admin

# Interface DistributionLocatorConfig

All Superinterfaces:
  `Cloneable`, `ManagedEntityConfig`

@Deprecated public interface DistributionLocatorConfig extends ManagedEntityConfig
Deprecated.
as of 7.0 use the `management` package instead
Describes the configuration of a `DistributionLocator` managed by the GemFire administration APIs.

A `DistributionLocatorConfig` can be modified using a number of mutator methods until the `DistributionLocator` configured by this object is started. After that, attempts to modify most attributes in the `DistributionLocatorConfig` will result in an `IllegalStateException` being thrown. If you wish to use the same `DistributionLocatorConfig` to configure another `DistributionLocator`s, a copy of the `DistributionLocatorConfig` object can be made by invoking the `Object.clone()` method.

Since:
  GemFire 4.0
See Also:
  - `AdminDistributedSystem.addDistributionLocator()`
  - `Locator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBindAddress()`
  Deprecated.
  Returns the address to which the distribution locator's port is (or will be) bound.
  `Properties`
  `getDistributedSystemProperties()`
  Deprecated.
  Retrieves the properties used to configure the locator's DistributedSystem.
  `int`
  `getPort()`
  Deprecated.
  Returns the port on which ths distribution locator listens for members to connect.
  `void`
  `setBindAddress(String bindAddress)`
  Deprecated.
  Sets the address to which the distribution locator's port is (or will be) bound.
  `void`
  `setDistributedSystemProperties(Properties props)`
  Deprecated.
  Sets the properties used to configure the locator's DistributedSystem.
  `void`
  `setPort(int port)`
  Deprecated.
  Sets the port on which the distribution locator listens for members to connect.

  ### Methods inherited from interface org.apache.geode.admin.ManagedEntityConfig

  `clone, getHost, getProductDirectory, getRemoteCommand, getWorkingDirectory, setHost, setProductDirectory, setRemoteCommand, setWorkingDirectory, validate`

- ## Method Details

  - ### getPort

    int getPort()
    Deprecated.
    Returns the port on which ths distribution locator listens for members to connect. There is no default locator port, so a non-default port must be specified.
    Returns:
      the port on which the distribution locator listens for members to connect

  - ### setPort

    void setPort(int port)
    Deprecated.
    Sets the port on which the distribution locator listens for members to connect.
    Parameters:
      `port` - the port on which the distribution locator listens for members to connect

  - ### getBindAddress

    String getBindAddress()
    Deprecated.
    Returns the address to which the distribution locator's port is (or will be) bound. By default, the bind address is `null` meaning that the port will be bound to all network addresses on the host.
    Returns:
      the address to which the distribution locator's port is (or will be) bound

  - ### setBindAddress

    void setBindAddress(String bindAddress)
    Deprecated.
    Sets the address to which the distribution locator's port is (or will be) bound.
    Parameters:
      `bindAddress` - the address to which the distribution locator's port is (or will be) bound

  - ### setDistributedSystemProperties

    void setDistributedSystemProperties(Properties props)
    Deprecated.
    Sets the properties used to configure the locator's DistributedSystem.
    Parameters:
      `props` - the properties used to configure the locator's DistributedSystem
    Since:
      GemFire 5.0

  - ### getDistributedSystemProperties

    Properties getDistributedSystemProperties()
    Deprecated.
    Retrieves the properties used to configure the locator's DistributedSystem.
    Returns:
      the properties used to configure the locator's DistributedSystem
    Since:
      GemFire 5.0